- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_msg.h File Reference

`#include <axutil_param_container.h>`
`#include <axis2_op.h>`
`#include <axutil_array_list.h>`
`#include <axis2_description.h>`
`#include <axis2_phase_meta.h>`

Go to the source code of this file.

## Defines
#define | AXIS2_MSG_IN "in"
#define | AXIS2_MSG_OUT "out"
#define | AXIS2_MSG_IN_FAULT "InFaultMessage"
#define | AXIS2_MSG_OUT_FAULT "OutFaultMessage"
## Typedefs
typedef struct axis2_msg | axis2_msg_t
## Functions
AXIS2_EXTERN axis2_msg_t * | axis2_msg_create (const axutil_env_t *env)
AXIS2_EXTERN void | axis2_msg_free (axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_add_param (axis2_msg_t *msg, const axutil_env_t *env, axutil_param_t *param)
AXIS2_EXTERN axutil_param_t * | axis2_msg_get_param (const axis2_msg_t *msg, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_get_all_params (const axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_msg_is_param_locked (axis2_msg_t *msg, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axis2_status_t | axis2_msg_set_parent (axis2_msg_t *msg, const axutil_env_t *env, axis2_op_t *op)
AXIS2_EXTERN axis2_op_t * | axis2_msg_get_parent (const axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_get_flow (const axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_set_flow (axis2_msg_t *msg, const axutil_env_t *env, axutil_array_list_t *flow)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_get_direction (const axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_set_direction (axis2_msg_t *msg, const axutil_env_t *env, const axis2_char_t *direction)
AXIS2_EXTERN const axutil_qname_t * | axis2_msg_get_element_qname (const axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_set_element_qname (axis2_msg_t *msg, const axutil_env_t *env, const axutil_qname_t *element_qname)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_get_name (const axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_set_name (axis2_msg_t *msg, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axis2_desc_t * | axis2_msg_get_base (const axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axutil_param_container_t * | axis2_msg_get_param_container (const axis2_msg_t *msg, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_increment_ref (axis2_msg_t *msg, const axutil_env_t *env)

## Detailed Description